<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="./main.css" />
    <title>Document</title>
  </head>
  <body>
    <div class="container">
      <div class="row py-4 align-items-center justify-content-center">
        <div class="col-md-6">
          <!-- input text -->
          <input
            type="text"
            class="form-control form-control-sm mb-4"
            placeholder="hola"
          />
          <!-- input text -->
          <div class="input-group">
            <input
              type="text"
              class="form-control form-control-sm mb-4"
              placeholder="name"
              aria-label="name"
              aria-describedby="button-addon2"
            />
            <div class="input-group-append h-100">
              <button
                class="btn btn-primary btn-sm"
                type="button"
                id="button-addon2"
              >
                Button
              </button>
            </div>
          </div>

          <!-- select -->
          <select
            class="form-control form-control-sm mb-4"
            id="inlineFormCustomSelect"
          >
            <option selected>Choose...</option>
            <option value="1">One</option>
            <option value="2">Two</option>
            <option value="3">Three</option>
          </select>

          <!-- textarea -->
          <textarea
            class="form-control form-control-sm mb-4"
            rows="3"
            placeholder="text"
          ></textarea>

          <!-- file -->
          <div class="custom-file custom-file-sm mb-4">
            <input type="file" class="custom-file-input" id="customFileLang" lang="es">
            <label class="custom-file-label" for="customFileLang">Seleccionar Archivo</label>
          </div>

          <!-- check -->
          <div class="input-group mb-4">
            <div class="custom-control custom-checkbox">
              <input
                type="checkbox"
                class="custom-control-input"
                id="customCheck1"
              />
              <label class="custom-control-label" for="customCheck1"
                >Check this custom checkbox</label
              >
            </div>
          </div>

          <!-- radio custom -->
          <div class="custom-control custom-radio">
            <input
              type="radio"
              id="customRadio1"
              name="customRadio"
              class="custom-control-input"
            />
            <label class="custom-control-label" for="customRadio1"
              >Toggle this custom radio</label
            >
          </div>
          <div class="custom-control custom-radio mb-4">
            <input
              type="radio"
              id="customRadio2"
              name="customRadio"
              class="custom-control-input"
            />
            <label class="custom-control-label" for="customRadio2"
              >Or toggle this other custom radio</label
            >
          </div>

          <!-- swicth -->
          <div class="custom-control custom-switch">
            <input
              type="checkbox"
              class="custom-control-input"
              id="customSwitch1"
            />
            <label class="custom-control-label" for="customSwitch1"
              >Toggle this switch element</label
            >
          </div>
          <div class="custom-control custom-switch mb-4">
            <input
              type="checkbox"
              class="custom-control-input"
              disabled
              id="customSwitch2"
            />
            <label class="custom-control-label" for="customSwitch2"
              >Disabled switch element</label
            >
          </div>

          <!-- table -->
          <div class="table-responsive rounded shadow-sm">
            <table class="table">
                <thead class="bg-primary text-light">
                  <tr>
                    <th scope="col">#</th>
                    <th scope="col">First</th>
                    <th scope="col">Last</th>
                    <th scope="col">Last</th>
                    <th scope="col">Last</th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <th scope="row">1</th>
                    <td>Mark</td>
                    <td>Otto</td>
                    <td>Otto</td>
                    <td>Otto</td>
                  </tr>
                  <tr>
                    <th scope="row">2</th>
                    <td>Jacob</td>
                    <td>Thornton</td>
                    <td>Thornton</td>
                    <td>Thornton</td>
                  </tr>
                  <tr>
                    <th scope="row">3</th>
                    <td>Larry</td>
                    <td>the Bird</td>
                    <td>the Bird</td>
                    <td><div class="dropdown">
                        <button class="btn btn-secondary btn-sm dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                          Dropdown button
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                          <a class="dropdown-item" href="#">Action</a>
                          <a class="dropdown-item" href="#">Another action</a>
                          <a class="dropdown-item" href="#">Something else here</a>
                        </div>
                      </div></td>
                  </tr>
                </tbody>
              </table>
          </div>

          <!-- toast -->
          <div class="toast" role="alert" aria-live="assertive" aria-atomic="true">
            <div class="toast-header">
              <img src="..." class="rounded mr-2" alt="...">
              <strong class="mr-auto">Bootstrap</strong>
              <small>11 mins ago</small>
              <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="toast-body">
              Hello, world! This is a toast message.
            </div>
          </div>

          <!--  -->
        </div>
      </div>
    </div>
  </body>
</html>
